Codec.Compression.Zlib.Raw

# Simple compression and decompression

compress

decompress

# Extended api with control over compression parameters

compressWith

decompressWith

data CompressParams

defaultCompressParams

data DecompressParams

defaultDecompressParams

## The compression parameter types

data CompressionLevel

defaultCompression

noCompression

bestSpeed

bestCompression

compressionLevel

data Method

deflateMethod

data WindowBits

defaultWindowBits

windowBits

data MemoryLevel

defaultMemoryLevel

minMemoryLevel

maxMemoryLevel

memoryLevel

data CompressionStrategy

defaultStrategy

filteredStrategy

huffmanOnlyStrategy